Bug 1656383 - WEBGUI - deactivating the VM's bootable disk is done without any warning
Summary: WEBGUI - deactivating the VM's bootable disk is done without any warning
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Tal Nisan
QA Contact: Avihai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-05 11:47 UTC by Avihai
Modified: 2020-04-01 14:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: Storage


Attachments (Terms of Use)

Description Avihai 2018-12-05 11:47:06 UTC
Description of problem:
Deactivating the VM's bootable disk is done without any warning.
This cause the VM to be up (not sure this is OK either) but unusable so at least a warning to the customer about it is expected.  

Version-Release number of selected component (if applicable):
ovirt-engine 4.3.0-0.2.master.20181128141347.git38908dd.el7


How reproducible:
100%

Steps to Reproduce:
1.Create VM with a bootable disk
2.Activate VM
3.Deactivate bootable disk

Actual results:
Deactivating the VM's bootable disk is done without any warning.
This cause the VM to be up (not sure this is OK either) but unusable so a warning to the customer about it is expected.  

Expected results:
A fair warning to the user is expected on this operation like :
"this operation will cause the VM also to be unusable, do you still wish to proceed?"

Comment 1 Michal Skrivanek 2020-03-18 15:50:33 UTC
This bug didn't get any attention for a while, we didn't have the capacity to make any progress. If you deeply care about it or want to work on it please assign/target accordingly

Comment 2 Michal Skrivanek 2020-03-18 15:55:01 UTC
This bug didn't get any attention for a while, we didn't have the capacity to make any progress. If you deeply care about it or want to work on it please assign/target accordingly

Comment 3 Michal Skrivanek 2020-04-01 14:49:19 UTC
ok, closing. Please reopen if still relevant/you want to work on it.

Comment 4 Michal Skrivanek 2020-04-01 14:52:09 UTC
ok, closing. Please reopen if still relevant/you want to work on it.


Note You need to log in before you can comment on or make changes to this bug.